# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import protos.comm_pb2 as comm__pb2


class CommunicationServiceStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.testConnection = channel.unary_unary(
                '/CommunicationService/testConnection',
                request_serializer=comm__pb2.StringMessage.SerializeToString,
                response_deserializer=comm__pb2.StringMessage.FromString,
                )
        self.getKeySpaceInfo = channel.unary_unary(
                '/CommunicationService/getKeySpaceInfo',
                request_serializer=comm__pb2.Empty.SerializeToString,
                response_deserializer=comm__pb2.MapStringInt.FromString,
                )
        self.getSingle = channel.unary_unary(
                '/CommunicationService/getSingle',
                request_serializer=comm__pb2.Key.SerializeToString,
                response_deserializer=comm__pb2.GetData.FromString,
                )
        self.setSingle = channel.unary_unary(
                '/CommunicationService/setSingle',
                request_serializer=comm__pb2.Data.SerializeToString,
                response_deserializer=comm__pb2.StringMessage.FromString,
                )
        self.getMultiple = channel.unary_unary(
                '/CommunicationService/getMultiple',
                request_serializer=comm__pb2.KeyList.SerializeToString,
                response_deserializer=comm__pb2.GetDictData.FromString,
                )
        self.setMultiple = channel.unary_unary(
                '/CommunicationService/setMultiple',
                request_serializer=comm__pb2.Dict.SerializeToString,
                response_deserializer=comm__pb2.StringMessage.FromString,
                )
        self.delSingle = channel.unary_unary(
                '/CommunicationService/delSingle',
                request_serializer=comm__pb2.KeyList.SerializeToString,
                response_deserializer=comm__pb2.StringMessage.FromString,
                )
        self.delMultiple = channel.unary_unary(
                '/CommunicationService/delMultiple',
                request_serializer=comm__pb2.KeyList.SerializeToString,
                response_deserializer=comm__pb2.StringMessage.FromString,
                )
        self.getRange = channel.unary_unary(
                '/CommunicationService/getRange',
                request_serializer=comm__pb2.Range.SerializeToString,
                response_deserializer=comm__pb2.GetDictData.FromString,
                )


class CommunicationServiceServicer(object):
    """Missing associated documentation comment in .proto file."""

    def testConnection(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getKeySpaceInfo(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getSingle(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def setSingle(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getMultiple(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def setMultiple(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def delSingle(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def delMultiple(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getRange(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_CommunicationServiceServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'testConnection': grpc.unary_unary_rpc_method_handler(
                    servicer.testConnection,
                    request_deserializer=comm__pb2.StringMessage.FromString,
                    response_serializer=comm__pb2.StringMessage.SerializeToString,
            ),
            'getKeySpaceInfo': grpc.unary_unary_rpc_method_handler(
                    servicer.getKeySpaceInfo,
                    request_deserializer=comm__pb2.Empty.FromString,
                    response_serializer=comm__pb2.MapStringInt.SerializeToString,
            ),
            'getSingle': grpc.unary_unary_rpc_method_handler(
                    servicer.getSingle,
                    request_deserializer=comm__pb2.Key.FromString,
                    response_serializer=comm__pb2.GetData.SerializeToString,
            ),
            'setSingle': grpc.unary_unary_rpc_method_handler(
                    servicer.setSingle,
                    request_deserializer=comm__pb2.Data.FromString,
                    response_serializer=comm__pb2.StringMessage.SerializeToString,
            ),
            'getMultiple': grpc.unary_unary_rpc_method_handler(
                    servicer.getMultiple,
                    request_deserializer=comm__pb2.KeyList.FromString,
                    response_serializer=comm__pb2.GetDictData.SerializeToString,
            ),
            'setMultiple': grpc.unary_unary_rpc_method_handler(
                    servicer.setMultiple,
                    request_deserializer=comm__pb2.Dict.FromString,
                    response_serializer=comm__pb2.StringMessage.SerializeToString,
            ),
            'delSingle': grpc.unary_unary_rpc_method_handler(
                    servicer.delSingle,
                    request_deserializer=comm__pb2.KeyList.FromString,
                    response_serializer=comm__pb2.StringMessage.SerializeToString,
            ),
            'delMultiple': grpc.unary_unary_rpc_method_handler(
                    servicer.delMultiple,
                    request_deserializer=comm__pb2.KeyList.FromString,
                    response_serializer=comm__pb2.StringMessage.SerializeToString,
            ),
            'getRange': grpc.unary_unary_rpc_method_handler(
                    servicer.getRange,
                    request_deserializer=comm__pb2.Range.FromString,
                    response_serializer=comm__pb2.GetDictData.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'CommunicationService', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class CommunicationService(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def testConnection(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/testConnection',
            comm__pb2.StringMessage.SerializeToString,
            comm__pb2.StringMessage.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getKeySpaceInfo(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/getKeySpaceInfo',
            comm__pb2.Empty.SerializeToString,
            comm__pb2.MapStringInt.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getSingle(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/getSingle',
            comm__pb2.Key.SerializeToString,
            comm__pb2.GetData.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def setSingle(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/setSingle',
            comm__pb2.Data.SerializeToString,
            comm__pb2.StringMessage.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getMultiple(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/getMultiple',
            comm__pb2.KeyList.SerializeToString,
            comm__pb2.GetDictData.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def setMultiple(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/setMultiple',
            comm__pb2.Dict.SerializeToString,
            comm__pb2.StringMessage.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def delSingle(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/delSingle',
            comm__pb2.KeyList.SerializeToString,
            comm__pb2.StringMessage.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def delMultiple(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/delMultiple',
            comm__pb2.KeyList.SerializeToString,
            comm__pb2.StringMessage.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getRange(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/CommunicationService/getRange',
            comm__pb2.Range.SerializeToString,
            comm__pb2.GetDictData.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
